# Get payment instrument by ID

Endpoint: GET /people/{personId}/payment-instruments/{paymentInstrumentId}
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `paymentInstrumentId` (string, required)
    The payment instrument identifier.

## Query parameters:

  - `showFullAccountNumber` (boolean)
    Provide raw untokenized account details:
`cardNumber` for cards, `accountNumber` for bank accounts, checks, wires, and money orders.

Requires the `payment.instrument:read.sensitive` permission.

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (any)

  - `data.accountNumber` (string, required)
    The full account number. Only provided if `showFullAccountNumber=true`.
User must have the `payment.instrument:read.sensitive` permission to get the full number.

  - `data.cardNumber` (string, required)
    The full card number. Also called PAN. Only provided if `showFullAccountNumber=true`.
User must have the `payment.instrument:read.sensitive` permission to get the full number.

